POST V1/CustomerSupport.{ext}/SubTaskDetails?module={module}&projectId={projectId}&processStatus={processStatus}&isUpdate={isUpdate}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
module

No description available

string

Required

projectId

No description available

string

Required

processStatus

No description available

string

Required

isUpdate

No description available

string

Default value is false

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.SubTaskDetails
NameDescriptionTypeAdditional information
TaskId

No description available

integer

None.

SubTaskId

No description available

integer

None.

SubTaskName

No description available

string

None.

SubTaskNumber

No description available

string

None.

Category

No description available

string

None.

StartDay

No description available

integer

None.

EndDay

No description available

integer

None.

StartDate

No description available

string

None.

EndDate

No description available

string

None.

NoOfDays

No description available

integer

None.

ResourceGroup

No description available

string

None.

Department

No description available

string

None.

EngagementType

No description available

string

None.

Weightage

No description available

integer

None.

Status

No description available

boolean

None.

CloneTaskId

No description available

integer

None.

CreatedOn

No description available

string

None.

CreatedDate

No description available

string

None.

UpdatedOn

No description available

string

None.

UpdatedBy

No description available

string

None.

SubTaskDescription

No description available

string

None.

PredecessorId

No description available

string

None.

CloneSubTaskId

No description available

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "taskId": 1,
  "subTaskId": 2,
  "subTaskName": "sample string 3",
  "subTaskNumber": "sample string 4",
  "category": "sample string 5",
  "startDay": 6,
  "endDay": 7,
  "startDate": "sample string 8",
  "endDate": "sample string 9",
  "noOfDays": 10,
  "resourceGroup": "sample string 11",
  "department": "sample string 12",
  "engagementType": "sample string 13",
  "weightage": 14,
  "status": true,
  "cloneTaskId": 16,
  "createdOn": "sample string 17",
  "createdDate": "sample string 18",
  "updatedOn": "sample string 19",
  "updatedBy": "sample string 20",
  "subTaskDescription": "sample string 21",
  "predecessorId": "sample string 22",
  "cloneSubTaskId": 23
}

application/xml, text/xml

Sample:
<SubTaskDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <Category>sample string 5</Category>
  <CloneSubTaskId>23</CloneSubTaskId>
  <CloneTaskId>16</CloneTaskId>
  <CreatedDate>sample string 18</CreatedDate>
  <CreatedOn>sample string 17</CreatedOn>
  <Department>sample string 12</Department>
  <EndDate>sample string 9</EndDate>
  <EndDay>7</EndDay>
  <EngagementType>sample string 13</EngagementType>
  <NoOfDays>10</NoOfDays>
  <PredecessorId>sample string 22</PredecessorId>
  <ResourceGroup>sample string 11</ResourceGroup>
  <StartDate>sample string 8</StartDate>
  <StartDay>6</StartDay>
  <Status>true</Status>
  <SubTaskDescription>sample string 21</SubTaskDescription>
  <SubTaskId>2</SubTaskId>
  <SubTaskName>sample string 3</SubTaskName>
  <SubTaskNumber>sample string 4</SubTaskNumber>
  <TaskId>1</TaskId>
  <UpdatedBy>sample string 20</UpdatedBy>
  <UpdatedOn>sample string 19</UpdatedOn>
  <Weightage>14</Weightage>
</SubTaskDetails>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Inventory.Entities.SubTaskDetails
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Inventory.Entities.SubTaskDetails

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "SubTaskDetails",
  "response": {
    "taskId": 1,
    "subTaskId": 2,
    "subTaskName": "sample string 3",
    "subTaskNumber": "sample string 4",
    "category": "sample string 5",
    "startDay": 6,
    "endDay": 7,
    "startDate": "sample string 8",
    "endDate": "sample string 9",
    "noOfDays": 10,
    "resourceGroup": "sample string 11",
    "department": "sample string 12",
    "engagementType": "sample string 13",
    "weightage": 14,
    "status": true,
    "cloneTaskId": 16,
    "createdOn": "sample string 17",
    "createdDate": "sample string 18",
    "updatedOn": "sample string 19",
    "updatedBy": "sample string 20",
    "subTaskDescription": "sample string 21",
    "predecessorId": "sample string 22",
    "cloneSubTaskId": 23
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.